## Für Bäume existieren diverse Pakete, die man importieren kann.
# Ich habe in diesem Beispiel das Paket "data.tree" benutzt.

# Knoten erzeugen:
> fbinformatik <- Node$new("Fachbereich Informatik"))

# Unser Knoten fbinformatik soll nun Kinder haben.
# Unterknoten erzeugen:
> bachelor <- fbinformatik$AddChild("Bachelorstudiengänge")
> master <- fbinformatik$AddChild("Masterstudiengänge")

# Dies lässt sich nun beliebig weiterführen.
# Mit der print-Funktion kann man sich anzeigen lassen, welchen Baum ein bestimmer Knoten aufspannt:
> print(fbinformatik)
                 levelName
1 Fachbereich Informatik  
2  ¦--Bachelorstudiengänge
3  °--Masterstudiengänge 

# Knoten lassen sich beliebig viele Attribute zuweisen:
> bachelor$studentenanzahl <- 500
> master$studentenanzahl <- 100

# Man kann der Print-Funktion neben dem Knoten auch die Attribute übergeben, welche auch angezeigt werden sollen:
> print(fbinformatik, "studentenanzahl")
                 levelName studentenanzahl
1 Fachbereich Informatik                NA
2  ¦--Bachelorstudiengänge             500
3  °--Masterstudiengänge               100

# Auf Knoten lassen sich auch Funktionen anwenden.
# In diesem Beispiel scheint es sinnvoll, dass die Studentenanzahl des Fachbereichs die Summe von Master-und Bachelorstudenten ist:
> fbinformatik$studentenanzahl <- Aggregate(node = fbinformatik, attribute = "studentenanzahl", aggFun = sum)
> print(fbinformatik, "studentenanzahl")
                 levelName studentenanzahl
1 Fachbereich Informatik               600
2  ¦--Bachelorstudiengänge             500
3  °--Masterstudiengänge               100

# Darüberhinaus existieren noch etliche weitere Funktionen, z.B. zum Suchen von Knoten in einem Baum, oder boolsche Abfragen wie isLeaf / isRoot.
# Diese finden sich alle ausführlich beschrieben in der Anleitung zu diesem Paket.