## Listen sind wohl die komplexeste Datenstruktur in R.
# Sie können Vektoren, Matrizen, Faktoren, Data Frames oder auch Arrays aufnehmen.
# Unterschiedliche Datentypen spielen für Listen keine Rolle.

## Erzeugung: 
# Zuerst erstellen wir in diesem Beispiel einige Elemente, die wir dann später in unsere Liste tun.
> a = c(1,2,3,4)
> b = matrix(1:4, nrow = 2, ncol = 2)
> c = array(1:8, dim = c(2,2,2))

# Nun erzeugen wir unsere Liste:
> list = list(a,b,c,10)
> list
[[1]]
[1] 1 2 3 4

[[2]]
     [,1] [,2]
[1,]    1    3
[2,]    2    4

[[3]]
, , 1

     [,1] [,2]
[1,]    1    3
[2,]    2    4

, , 2

     [,1] [,2]
[1,]    5    7
[2,]    6    8


[[4]]
[1] 10

## Zugriff
# Der Zugriff wird durch Indizes ermöglicht. Beispiel: wir möchten gerne die Matrix.
> list[[2]]
     [,1] [,2]
[1,]    1    3
[2,]    2    4

# Möchten wir nun Elemente in der Matrix ändern, müssen wir darüberhinaus die jeweiligen Indizes angeben.
> list[[2]][1,1]
[1] 1
# An diese Stelle möchten wir nun eine 10 schreiben:
> list[[2]][1,1] = 10
> list
[[1]]
[1] 1 2 3 4

[[2]]
     [,1] [,2]
[1,]   10    3
[2,]    2    4

[[3]]
, , 1

     [,1] [,2]
[1,]    1    3
[2,]    2    4

, , 2

     [,1] [,2]
[1,]    5    7
[2,]    6    8


[[4]]
[1] 10

# Dies hat funktioniert. Es ist also sehr einfach, die Kopien in unserer Liste zu bearbeiten.