# Matrizen sind spezielle Vektoren. 
# Es gelten aber die gleichen Bedingungen (gleicher Datentyp, Index-Zugriff).
# Eine Matrix ist jedoch zweidimensional.

## Erzeugung
# Dafür benutzen wir die matrix()-Funktion und übergeben als Parameter z.B. die gewünschten Reihen- und Spaltenanzahlen.
> m = matrix(nrow = 2 , ncol = 2)
> m
     [,1] [,2]
[1,]   NA   NA
[2,]   NA   NA

## Zugriff
# Über Index, wie bereits angemerkt.
# Einfügen:
> m[2,2] = 5
> m
     [,1] [,2]
[1,]   NA   NA
[2,]   NA    5

# Oder auslesen:
> m[2,1]
[1] NA

# Alternativ lassens ich auch ganze Zeilen oder Spalten auf einmal befüllen/ auslesen:
> m[1,] = c(3,3)
> m
     [,1] [,2]
[1,]    3    3
[2,]   NA    5

> m[1,]
[1] 3 3
> 

## Kombination
# Leicht lassen sich Spalten oder Zeilen anfügen. Bedindung dafür ist, dass bei Spaltenkombination die Zeilenanzahl bei beiden Argumenten identisch ist.
# Analog zur Zeilenkombination.
# Beispiel:
> Matrix1 = matrix(1:6, nrow = 2, ncol = 3)
> Matrix2 = matrix(1:15, nrow = 5 , ncol = 3)
> rbind(Matrix1, Matrix2)
     [,1] [,2] [,3]
[1,]    1    3    5
[2,]    2    4    6
[3,]    1    6   11
[4,]    2    7   12
[5,]    3    8   13
[6,]    4    9   14
[7,]    5   10   15

